| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IClassManager Class Referenceabstract

The IClassManager is the interface implemented by the generic Factory in the Application Manager to support class management functions. More...

`#include <GaudiKernel/IClassManager.h>`

Inheritance diagram for IClassManager:
[legend]
Collaboration diagram for IClassManager:
[legend]

## Public Member Functions
| DeclareInterfaceID (IClassManager, 2, 0)
virtual StatusCode | loadModule (const std::string &module, bool fireIncident=true)=0
| Declare a sharable library to be used for creating instances of a given algorithm type. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

The IClassManager is the interface implemented by the generic Factory in the Application Manager to support class management functions.

Author
  Pere Mato

Definition at line 18 of file IClassManager.h.

## Member Function Documentation

## ◆ DeclareInterfaceID()

IClassManager::DeclareInterfaceID | ( | IClassManager | ,
|  | 2 | ,
|  | 0 |
| ) |  |

## ◆ loadModule()

virtual StatusCode IClassManager::loadModule | ( | const std::string & | module,
|  | bool | fireIncident = `true`
| ) |  |
| pure virtual

Declare a sharable library to be used for creating instances of a given algorithm type.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IClassManager.h